Bug 385791 - Yum does not update if mirrorlist is selected instead of baseurl
Yum does not update if mirrorlist is selected instead of baseurl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 17:00 EST by Luis A. Florit
Modified: 2014-01-21 18:00 EST (History)
7 users (show)

See Also:
Fixed In Version: yum-3.2.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 10:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my yum.conf file (12.94 KB, text/plain)
2008-01-14 19:30 EST, Luis A. Florit
no flags Details
yum.conf file (12.94 KB, text/plain)
2008-06-02 20:17 EDT, Luis A. Florit
no flags Details

  None (edit)
Description Luis A. Florit 2007-11-15 17:00:22 EST
This is so evident that perhaps someone already reported it. Sorry if so.

Description of problem:
Yum does not update if mirrorlist is selected instead of baseurl, at least for 
the updates-testing repository (but I think for all the repositories is the 
same).

Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8

How reproducible:
Just update enabling repo updates-testing and disabling the baseurl.

Actual results: Yum reports error:

$ yum --enablerepo=updates-testing update
Loading "downloadonly" plugin
removing mirrorlist with no valid 
mirrors: //var/cache/yum/updates-testing/mirrorlist.txt
Error: Cannot retrieve repository metadata (repomd.xml) for repository: 
updates-testing. Please verify its path and try again

Expected results:
Normal update

Additional Info:
I don't use the yum.d directory update, but a single /etc/yum.conf file.
This does NOT work:

mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f$releasever&arch=$basearch

However, this DO work just fine (?????!!!!):

mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f8&arch=i386

That is, just replace the variables $releasever and $basearch with its actual 
values and everything works fine.
Comment 1 Seth Vidal 2007-11-15 19:03:44 EST
would you run this command:
rpm -q fedora-release

and send the output?

thanks,
Comment 2 Luis A. Florit 2007-11-16 08:53:10 EST
$ rpm -q fedora-release
fedora-release-8-3

Interesting. What does the "-3" means?
Comment 3 Seth Vidal 2007-12-06 10:47:58 EST
and could you run this command:
python -c 'import rpmUtils.arch; print rpmUtils.arch.getCanonArch()'

and this command:

python -c 'import rpmUtils.arch; print rpmUtils.arch.getBaseArch()'

and report the output.
thanks
Comment 4 Jeremy Katz 2007-12-31 09:54:25 EST
Closing due to inactivity.  Please reopen or file a new bug if you have further
information to add to this bug report
Comment 5 Luis A. Florit 2008-01-14 17:48:50 EST
(In reply to comment #3)
> and could you run this command:
> python -c 'import rpmUtils.arch; print rpmUtils.arch.getCanonArch()'

i686

> and this command:
> 
> python -c 'import rpmUtils.arch; print rpmUtils.arch.getBaseArch()'

i386

Thanks,
L.
Comment 6 Seth Vidal 2008-01-14 18:59:23 EST
Could you post a couple of things:
1. your yum.conf file
2. the output of this command:
urlgrabber 'http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-8&arch=i386'

thanks
Comment 7 Luis A. Florit 2008-01-14 19:30:08 EST
Created attachment 291659 [details]
my yum.conf file
Comment 8 Luis A. Florit 2008-01-14 19:36:44 EST
(In reply to comment #6)
> Could you post a couple of things:
> 1. your yum.conf file
> 2. the output of this command:
> 
urlgrabber 'http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-8&arch=i386'

mirrorlist                        6.8 kB 00:00 
file written to mirrorlist

The file mirrorlist has the following content:

# repo = fedora-8 arch = i386 country = BR country = global 
http://fedora.c3sl.ufpr.br/linux/releases/8/Everything/i386/os
http://mirror.3fl.net.au/pub/fedora/linux/releases/8/Everything/i386/os
ftp://ftp.uninett.no/pub/linux/Fedora/releases/8/Everything/i386/os
ftp://alviss.et.tudelft.nl/pub/fedora/linux/releases/8/Everything/i386/os
http://ultra.linux.cz/MIRRORS/fedora.redhat.com/linux/releases/8/Everything/i386/os
[...]


L.

Comment 9 Seth Vidal 2008-03-12 11:43:53 EDT
YUMBUGDAY b/c I have no idea what's happening here
Comment 10 Seth Vidal 2008-03-17 13:09:30 EDT
Ping. Is this still happening?
Comment 11 Luis A. Florit 2008-03-21 15:18:45 EDT
(In reply to comment #10)
> Ping. Is this still happening?

Yes, nothing have changed. Now using: yum-3.2.8-2.fc8

L.
Comment 12 Γριφεγ 2008-04-21 09:37:43 EDT
What might be happening is that the mirror that gets selected from the list is
in an old state and so yum finds no updates.
Comment 13 James Antill 2008-04-21 09:53:32 EDT
 Can you test moving the data to it's own blah.repo file?
 I know I fixed the bug with the variable substitution, and I'm just wondering
if something to do with that is affecting things ... as it's fair to say that
quite a few people have used mirrorlist + updates-testing + 3.2.8 ... so
something must be different for you.
Comment 14 Luis A. Florit 2008-05-27 23:24:00 EDT
Yes, in the blah.repo it works. I never use those, but a single /etc/yum.conf 
file.
Just to remember the bug: with the line

mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f8&arch=i386

yum does the update, but with the line

mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f$releasever&arch=$basearch

it does not. Yum is not substituting the variable values in the /etc/yum.conf 
file.
Comment 15 Seth Vidal 2008-05-30 11:40:47 EDT
Could you provide your yum.conf?

I can't make this happen here with this in my /etc/yum.conf file
[repo-$releasever]
name=repo-$releasever
mirrorlist=file:///tmp/repo-$releasever-mirrors
enabled=0
gpgcheck=0

Comment 16 Luis A. Florit 2008-06-02 20:17:02 EDT
Created attachment 308170 [details]
yum.conf file

Try this with the attached yum.comf file:

$ sudo yum --enablerepo=updates-testing update

You will get:
Loading "downloadonly" plugin
removing mirrorlist with no valid 
mirrors: //var/cache/yum/updates-testing/mirrorlist.txt
Error: Cannot retrieve repository metadata (repomd.xml) for repository: 
updates-testing. Please verify its path and try again

Now, comment line 101 uncomment line 102. You will get:
Loading "downloadonly" plugin
DVD			  100% |=========================|  951 B    00:00     

updates-testing 	  100% |=========================| 2.3 kB    00:00     

primary.sqlite.bz2	  100% |=========================| 397 kB    00:01     

fedora			  100% |=========================| 2.1 kB    00:00     

flash			  100% |=========================| 1.9 kB    00:00     

hugin			  100% |=========================|  951 B    00:00     

updates 		  100% |=========================| 2.3 kB    00:00     

Setting up Update Process
Resolving Dependencies..............
and 62 packages for update.

Thanks,
L.
Comment 17 Jan Hutař 2008-08-07 08:18:12 EDT
Could this be related to bug 432889?
Comment 18 seth vidal 2008-09-03 10:00:24 EDT
If you would test yum 3.2.19 from updates-testing, I believe this issue is resolved there. Please reopen if it is not.
Comment 19 Luis A. Florit 2008-09-10 22:34:56 EDT
(In reply to comment #18)
> If you would test yum 3.2.19 from updates-testing, I believe this issue is
> resolved there. Please reopen if it is not.

The updates-testing shows yum-3.2.18-1.fc8, but it did solve the issue.

Thanks!!!

L.

Note You need to log in before you can comment on or make changes to this bug.